---
layout: post
title: "Recipes for Engineers"
description: ""
category:
tags: [food]
---

It's a little weird applying an engineering mindset to everything, but after navigating a bunch of
new recipes as part of cooking and baking during quarantine, this what I think could be beneficial.

1. Don't intersperse recipe directions with anecdotes. When my hands are covered in whatever I'm
   working on, it's difficult to scroll up and down on a laptop or other device.

2. Provide weight/mass measurements for everything. Everyone has a different way of measuring flour,
   and having to clean all the measuring utensils is a pain. Much easier to dump all the dry
   ingredients into the same bowl by weight (oz, g) and not have individual measurements. Bakers'
   percentages are nice, but please also include a set of reference numbers so I don't have to do
   all the math on the fly (or figure out how it translates to serving sizes)

3. Make the purpose of each step explicit. When baking, I typically want to wait for the dough to
   double in size, it just happens to take somewhere around two hours. Also, why does pie dough need
   ice water? It's far too little volume to no immediately change temp. A good way to frame the
   discussion is: what would happen if I just left this step out?

4. When combining ingredients, re-state how much is being added. I don't have containers to
   pre-measure everything and dump in, I'd rather know exactly how much is needed at the moment it
   is needed.

5. Add context about tolerance where possible. Do I need _exactly_ 352 grams of something? For
   baking, being that precise might well be important. Significant figures matter (and maybe don't
   use more than 2? Or at least explain why more than 2 sigfigs are needed if used)

6. The shopping list is for total quantities of an ingredient. The only reason to split quantities
   here is for optional steps. But if you need 4g of something at one point, and 4g at another, tell
   me 8g in the ingredients list.

Other potential intros:

- It's probably a pathology of software people that they think they can improve everything, so here
  I am writing about recipes
- Despite the old adage warning about
  [engineers and food](https://www.reddit.com/r/funny/comments/fklb1/a_wife_asks_her_husband_a_software_engineer/),
  going to humbly submit some ideas for making more helpful recipes.
